> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.meetgail.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.meetgail.com/_mcp/server.

# Start multiple outbound calls in bulk.

POST /v1/calls/bulk
Content-Type: application/json

Reference: https://docs.meetgail.com/api-reference/api-reference/calls/bulkstartcall

## Authentication

- `X-API-Key` header (required) — API Key authentication. Generate your API key in the Gail Portal under General > Integrations > API Keys.

## Request

### Body (application/json)

- `items` (list of object, required, nullable)
  - `to` (string, required, nullable)
  - `preRecorded` (boolean, optional)
  - `externalId` (string, optional, nullable)
  - `name` (string, optional, nullable)
  - `scriptId` (string, optional, nullable)
  - `script` (object, optional)
    - `name` (string, required, nullable)
    - `greeting` (string, required, nullable)
    - `objective` (string, required, nullable)
    - `policy` (string, required, nullable)
    - `id` (string, optional, nullable)
    - `voicemail` (string, optional, nullable)
    - `goodbye` (string, optional, nullable)
    - `voice` (string, optional, nullable)
    - `voiceProvider` (object, optional)
      - `value` (string, optional, nullable)
    - `faq` (list of object, optional, nullable)
      - `question` (string, required, nullable)
      - `answer` (string, required, nullable)
      - `details` (any, optional, nullable)
    - `giveSurvey` (boolean, optional)
    - `smsActions` (list of object, optional, nullable)
      - `textScriptId` (string, required)
      - `description` (string, required, nullable)
    - `knowledgeBase` (object, optional)
      - `documentIds` (list of string, optional, nullable) — Gets or sets the document Ids.
      - `documentTags` (list of string, optional, nullable) — Gets or sets the document tags.
  - `taskId` (string, optional, nullable)
  - `taskCustomer` (map from string to any, optional, nullable)
  - `taskLead` (map from string to any, optional, nullable)

## Response

### 200

OK

- `items` (list of object, required, nullable)
  - `id` (string, required)
  - `externalId` (string, required, nullable)
  - `name` (string, required, nullable)
  - `preRecorded` (boolean, required)
  - `to` (string, required, nullable)

## Examples

**Request**

```json
{
  "items": [
    {
      "to": "string"
    }
  ]
}
```

**Response**

```json
{
  "items": [
    {
      "id": "string",
      "externalId": "string",
      "name": "string",
      "preRecorded": true,
      "to": "string"
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api.example.com/v1/calls/bulk"

payload = { "items": [{ "to": "string" }] }
headers = {
    "X-API-Key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.example.com/v1/calls/bulk';
const options = {
  method: 'POST',
  headers: {'X-API-Key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"items":[{"to":"string"}]}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.example.com/v1/calls/bulk"

	payload := strings.NewReader("{\n  \"items\": [\n    {\n      \"to\": \"string\"\n    }\n  ]\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("X-API-Key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.example.com/v1/calls/bulk")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["X-API-Key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"items\": [\n    {\n      \"to\": \"string\"\n    }\n  ]\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.example.com/v1/calls/bulk")
  .header("X-API-Key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"items\": [\n    {\n      \"to\": \"string\"\n    }\n  ]\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.example.com/v1/calls/bulk', [
  'body' => '{
  "items": [
    {
      "to": "string"
    }
  ]
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'X-API-Key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.example.com/v1/calls/bulk");
var request = new RestRequest(Method.POST);
request.AddHeader("X-API-Key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"items\": [\n    {\n      \"to\": \"string\"\n    }\n  ]\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "X-API-Key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = ["items": [["to": "string"]]] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.example.com/v1/calls/bulk")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```